Skip to content
EN

通用1.4-文生图

方法: POST路径: /volcv/v1

https://www.volcengine.com/docs/6791/1279296详情请看官方对接文档

请求参数

Query 参数

text
Action
string
必需
示例:
CVProcess
Version
string
必需
示例:
2022-08-31

Header 参数

text
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}

Body 参数 application/json

text
object
示例
{
"req_key"
:
"high_aes_general_v14"
,
"prompt"
:
"千军万马"
,
"model_version"
:
"general_v1.4"
,
"seed"
:
-1
,
"scale"
:
3.0
,
"ddim_steps"
:
25
,
"width"
:
512
,
"height"
:
512
,
"use_rephraser"
:
True
,
"return_url"
:
False
,
"use_predict_tags"
:
True
,
"logo_info"
:
{
"add_logo"
:
False
,
"position"
:
0
,
"language"
:
0
,
"opacity"
:
0.3
,
"logo_text_content"
:
"这里是明水印内容"
}
}

请求示例代码

Shell

bash
curl --location --request POST '/volcv/v1?Action=CVProcess&Version=2022-08-31' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "req_key": "high_aes_general_v14",
    "prompt": "千军万马",
    "model_version": "general_v1.4",
    "seed": -1,
    "scale": 3.0,
    "ddim_steps": 25,
    "width": 512,
    "height": 512,
    "use_rephraser": True,
    "return_url":False,
    "use_predict_tags": True,
    "logo_info": {
        "add_logo": False,
        "position": 0,
        "language": 0,
        "opacity": 0.3,
        "logo_text_content": "这里是明水印内容"
    }
}'

返回响应

🟢 200 成功

内容类型: application/json

响应结构

text
object

示例

json
{
    "code": 10000,
    "data": {
        "algorithm_base_resp": {
            "status_code": 0,
            "status_message": "Success"
        },
        "binary_data_base64": [
            "xxx"
        ],
        "predict_tags_result": "",
        "rephraser_result": "",
        "request_id": ""
    },
    "message": "Success",
    "request_id": "2024061214082851989A35E4283DB7C8AD",
    "status": 10000,
    "time_elapsed": "16.52978614s"
}